# Page shop Introduction

Page, a static website generator, is a fast and easy-to-use tool for creating
static websites. With the addition of a JS shopping cart code, it is now
possible to add e-commerce features to your static website, without the need
for a complex server-side or expensive SaaS shop software.

## Installation and Configuration

To use the JS shopping cart code with Page, you'll need to follow these steps:

1. Set 'shop' as template in your page.yml or
   copy whole shop template to your project's folder.
2. Modify the config.js in the _assets folder to match your needs.
   This includes setting the path to your product CSV file, your shop email,
   currency, and language. Product CSV file lives in your _assets folder 
   and contains product codes matching product info file names,
   prices and stock quantities.
3. Add the necessary HTML and JS code to your Page templates to display the
   shopping cart and enable the checkout process. You can refer to the
   documentation provided with the shopping cart code for detailed
   instructions.

## Features

The shopping cart code provides the following e-commerce features for static
shops:

- Prototype Cart: Allows customers to add products to their cart, view their
  cart, and edit their cart.
- Checkout: Allows customers to enter their billing and shipping information,
  select a payment method, and confirm their order.
- Persistence: Allows customers to save their cart and resume their shopping
  later, even after closing their browser.
- Localization: Allows you to display the shopping cart and checkout process
  in multiple languages, as specified in the Config object.

## Advantages

Using the JS shopping cart code with Page offers the following advantages over
traditional online shop software like Magento or Shopify:

- Speed: Static websites generated with Page are fast and well-compressed,
  which means that your e-commerce website will load quickly and provide a
  better user experience for your customers.
- Simplicity: Page is a simple and easy-to-use static website generator that
  allows you to create beautiful and organized websites without the need for a
  complex content management system. Adding the JS shopping cart code to your
  Page website is also simple and easy to configure.
- Cost-Effective: Using Page and the JS shopping cart code is a cost-effective
  solution for creating an e-commerce website, as it eliminates the need for
  expensive online shop software like Magento or Shopify.
- Customization: Page and the JS shopping cart code offer greater
  customization options than traditional online shop software. With Page, you
  have full control over your website's design and content, while the JS
  shopping cart code allows you to customize the shopping cart and checkout
  process to match your specific needs.

## Conclusion

If you're looking for a fast, simple, and cost-effective way to create an
e-commerce website, Page and the JS shopping cart code may be the perfect
solution for you. With Page's easy-to-use static website generator and the JS
shopping cart code's powerful e-commerce features, you can create a beautiful
and functional online shop without the need for expensive online shop software.
